# NOTE: Derived from blib/lib/Image/Size.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Image::Size;

#line 444 "blib/lib/Image/Size.pm (autosplit into blib/lib/auto/Image/Size/ppmsize.al)"
# ppmsize: gets data on the PPM/PGM/PBM family.
#
# Contributed by Carsten Dominik <dominik@strw.LeidenUniv.nl>
sub ppmsize
{
    my $stream = shift;

    my ($x, $y, $id) = (undef, undef,
                        "Unable to determine size of PPM/PGM/PBM data");
    my $n;

    my $header = &$read_in($stream, 1024);

    # PPM file of some sort
    $header =~ s/^\#.*//mg;
    ($n, $x, $y) = ($header =~ /^(P[1-6])\s+(\d+)\s+(\d+)/mo);
    $id = "PBM" if $n eq "P1" || $n eq "P4";
    $id = "PGM" if $n eq "P2" || $n eq "P5";
    $id = "PPM" if $n eq "P3" || $n eq "P6";

    ($x, $y, $id);
}

# end of Image::Size::ppmsize
1;
